## libocxl 1.0.0

=== debian/changelog ===
libocxl (1.0.0-1~ubuntu18.04.0) bionic; urgency=medium

  * Backport libocxl to bionic to enable userspace support for the
    opencapi harware cards. LP: #1771813

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Thu, 14 Jun 2018 12:33:33 +0100

libocxl (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #897058)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 03 May 2018 13:44:06 +0200
