=== debian/control ===
Source: libocxl
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
Build-Depends: debhelper (>= 11), doxygen
Standards-Version: 4.1.4
Section: libs
Homepage: https://github.com/OpenCAPI/libocxl
Vcs-Git: https://salsa.debian.org/debian/libocxl.git
Vcs-Browser: https://salsa.debian.org/debian/libocxl

Package: libocxl-dev
Section: libdevel
Architecture: ppc64el
Multi-Arch: same
Depends: libocxl1 (= ${binary:Version}), ${misc:Depends}
Suggests: libocxl-doc (= ${binary:Version})
Description: Development files for accessing OpenCAPI devices
 LibOCXL provides an access library which allows the user to implement a
 userspace driver for an OpenCAPI accelerator.
 .
 This package contains the development files.

Package: libocxl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libocxl-dev (= ${binary:Version})
Description: Documentation files for development with libocxl
 LibOCXL provides an access library which allows the user to implement a
 userspace driver for an OpenCAPI accelerator.
 .
 This package contains the documentation files.

Package: libocxl1
Architecture: ppc64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Runtime library for accessing OpenCAPI devices
 LibOCXL provides an access library which allows the user to implement a
 userspace driver for an OpenCAPI accelerator.
 .
 This package contains the runtime shared library.
