=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_test:
	# High possibility of locking the machine at the moment

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
