=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libocxl-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/ \
  https://github.com/opencapi/libocxl/tags .*/v?(\d\S*)\.tar\.gz
