## libocxl 1.1.0

=== debian/changelog ===
libocxl (1.1.0-1) unstable; urgency=medium

  * Fix d/gbp.conf
  * Update symbol file for 1.1.0
  * Update copyright information
  * Fix debhelper compatibility level
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 11 Sep 2018 12:38:41 +0200
