=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libocxl
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper (>= 11), doxygen
-Standards-Version: 4.1.4
+Maintainer: Frédéric Bonnard <frediz@debian.org>
+Build-Depends: debhelper (>= 11~), doxygen
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/OpenCAPI/libocxl
 Vcs-Git: https://salsa.debian.org/debian/libocxl.git
