## libocxl 1.2.1

=== debian/changelog ===
libocxl (1.2.1-3) unstable; urgency=medium

  * Fix build of any

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 26 Nov 2021 11:52:07 +0100

libocxl (1.2.1-2) unstable; urgency=medium

  * Fix indep build for all (Closes: #997052)

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 26 Oct 2021 14:02:37 +0200

libocxl (1.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Frédéric Bonnard ]
  * Update to new upstream version 1.2.1.
  * Add Build-Depends-Package field to symbol file
  * Increase compatibility level to the recommended one
  * Add Rules-Requires-Root field to d/control
  * Update d/watch format
  * Rewrite to pick files directly from install dir
  * Disable file path fixing in the build
  * Update d/copyright info
  * Bump Standards-Version to 4.6.0.1

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 21 Oct 2021 17:08:43 +0200

libocxl (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #963364)
    - Use local header file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 16 Jul 2020 22:37:44 +0100
