=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: libocxl
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper (>= 11~), doxygen
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), doxygen
+Build-Depends-Indep: doxygen
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/OpenCAPI/libocxl
 Vcs-Git: https://salsa.debian.org/debian/libocxl.git
