=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath,-fixdebugpath

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build -- V=1

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_test:
	# High possibility of locking the machine at the moment

override_dh_auto_install-arch:
	dh_auto_install -- PREFIX=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	rm -fr $(CURDIR)/debian/tmp/usr/share/doc/libocxl

override_dh_auto_install-indep:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libocxl && \
	cp -a docs/html $(CURDIR)/debian/tmp/usr/share/doc/libocxl/
